commit 08fb2454671917cf82dbc4d13a458c6226fc1657
Author: seebye <seebye@users.noreply.github.com>
Date:   Sat Jan 9 12:39:14 2021 +0100

    release new version

commit 3078a19f6d7e876fa25e9ba99aa8d422bb73b8fa
Author: seebye <seebye@users.noreply.github.com>
Date:   Sat Jan 9 11:16:49 2021 +0100

    warn not to use simple parser
    
    Simple parser was only intended for quick test and not for beeing used in production.
    So add a warning not to use it.

commit 761f134d220f9c3e9c91257de50d559feae13ad6
Merge: 2f061d2 83a0e99
Author: seebye <seebye@users.noreply.github.com>
Date:   Wed Dec 23 19:03:06 2020 +0100

    Merge pull request #133 from seebye/determining-pty
    
    pty determining by using the tty_nr

commit 83a0e9937dbe0653f30c82b0deda5e93f54b131f
Author: seebye <seebye@users.noreply.github.com>
Date:   Tue Dec 22 21:33:39 2020 +0100

    pty determining by using the tty_nr
    
    In some situations some programs like zsh are replacing their file
    descriptors temporarily.
    E.g. zsh replaces (at least on my system) stdout with a pipe on using widgets
    (these changes are reverted after finishing using the widget)
    So by now the tty_nr is used to figure out the pseudo tty of the
    terminal emulator.
    
    Also this change contains the removal of psutil.
    The process information is gathered now by using the proc file system.
    Reasons:
    - the only os supported by this program is linux
    - only the function to retrieve the ppid of a process was used

commit 2f061d25bad9ac190ce402ae19bc941865a46097
Author: seebye <seebye@users.noreply.github.com>
Date:   Wed Dec 9 14:00:57 2020 +0100

    release new version

commit de92cf4a3ca6e1baabc95dc7efbef1fc60d1c875
Merge: 5f63b0c aa8de59
Author: seebye <seebye@users.noreply.github.com>
Date:   Mon Dec 7 15:11:29 2020 +0100

    Merge pull request #128 from seebye/python39-asyncio-removal
    
    fix python39 lack of backwards compatibility

commit aa8de598e82e30bd915dd5763fdd17a243fe13ee
Author: seebye <seebye@users.noreply.github.com>
Date:   Mon Dec 7 14:55:06 2020 +0100

    fix python39 lack of backwards compatibility
    
    In python3.9 asyncio.Task.all_task() and asyncio.Task.current_task() were removed.
    See: https://docs.python.org/3/whatsnew/3.9.html#removed
    They advise to use asyncio.all_task() and asyncio.current_task()
    instead.
    At the time of this commit python3.6 is still used by 10% of the users
    (counted by the reported python version of the downloads).
    So we need to reduce the readability by adding redundant try except
    blocks.

commit 5f63b0c2036dbcadef94b75bad0fe8a06a5c3f06
Author: seebye <seebye@users.noreply.github.com>
Date:   Thu Dec 3 20:12:31 2020 +0100

    release new version

commit 2aa5c0ea3bca2d0699ac0570629a1b518ea68b5e
Author: seebye <seebye@users.noreply.github.com>
Date:   Sun Nov 22 00:22:54 2020 +0100

    use threads for image decoding by default

commit 9a3ef352a5f1b3f3052e5148313cedadea3bbae9
Merge: a1f5b71 fea8b10
Author: seebye <seebye@users.noreply.github.com>
Date:   Sun Nov 22 00:05:50 2020 +0100

    Merge pull request #121 from seebye/version-command
    
    Version command

commit fea8b102bbc36d789ba92e9791e0aa8e27044529
Author: seebye <seebye@users.noreply.github.com>
Date:   Sun Nov 22 00:01:30 2020 +0100

    add version command

commit e25252d38bb1c4f2126cfa4d7ebe9fb3b8ff475d
Author: seebye <seebye@users.noreply.github.com>
Date:   Sat Nov 21 23:54:26 2020 +0100

    move project metadata to __init__

commit a1f5b7175b3f0838ae3b8c49c81e0cf687179991
Author: seebye <seebye@users.noreply.github.com>
Date:   Sun Nov 1 13:28:29 2020 +0100

    Create pull_request_template.md

commit 5d5a99d12fd00abadac91ac74d2c14cf076976fa
Merge: 7df7f18 f28eea7
Author: seebye <seebye@users.noreply.github.com>
Date:   Thu Oct 29 17:25:30 2020 +0100

    Merge pull request #119 from seebye/orphans
    
    fix process orphans

commit f28eea72a42b988cdddd918a61c057ceec32cfca
Author: seebye <seebye@users.noreply.github.com>
Date:   Thu Oct 29 17:10:35 2020 +0100

    fix uncatched exception in finalisation of canvas process
    
    If the canvas process exited unexpectly os.getpgid will throw an
    ProcessLookupError,
    so we need to catch it.

commit 98c93c739c26038b51cfbcd6bf084a27e0af2b48
Author: seebye <seebye@users.noreply.github.com>
Date:   Thu Oct 29 15:31:22 2020 +0100

    send SIGUSR1 signals only to ueberzug processes

commit ff5ff632ba51cfa99a9d8d624886eefe622b1de7
Author: seebye <seebye@users.noreply.github.com>
Date:   Wed Oct 21 00:12:00 2020 +0200

    fix process orphans
    
    In some situations worker processes turned into orphans.
    To fix this (1.) a new session is created for the canvas process and
    it's killed by its pgid if it won't exit within a second
    (if it's told to do so).
    (2.) Also the missing shutdown call for the ProcessPoolExecutor was added.

commit 7df7f182aaff033a6a66395d2ab2876e72e07cc3
Author: seebye <seebye@users.noreply.github.com>
Date:   Tue Sep 29 00:02:44 2020 +0200

    deprecate bash library

commit 38766f6d275d6d63c2def6f1e23d7602da3274d6
Merge: 19f252e d49b546
Author: seebye <seebye@users.noreply.github.com>
Date:   Fri Aug 14 00:40:33 2020 +0200

    Merge pull request #109 from seebye/python-requirements
    
    update the minimum required python version

commit d49b546a195df3c0bed7fc63e35151ad520da036
Author: seebye <seebye@users.noreply.github.com>
Date:   Fri Aug 14 00:34:32 2020 +0200

    update the minimum required python version

commit 19f252e022fb27e7c0245884e073cd19798d0136
Author: seebye <seebye@users.noreply.github.com>
Date:   Wed Jul 1 22:45:31 2020 +0200

    publish version 18.1.6

commit 5441ddbf4df1ec291a52a01e47d79bad4aadccf4
Author: seebye <seebye@users.noreply.github.com>
Date:   Wed Jul 1 22:40:55 2020 +0200

    fix stderr suppression

commit d86eeb303b9468226884425853472287a794d9dd
Merge: fba87ea dcca045
Author: seebye <seebye@users.noreply.github.com>
Date:   Mon Feb 24 15:51:30 2020 +0100

    Merge pull request #90 from seebye/embed-terminal
    
    fix font size for embed pty

commit dcca045837252a0a396ebdd0589e74dce2df391a
Author: seebye <seebye@users.noreply.github.com>
Date:   Wed Feb 19 21:02:09 2020 +0100

    fix font size for embed pty

commit fba87ea81b9a4ce8a730f35a64fdef9a55c65087
Merge: 6f48807 23a2230
Author: seebye <seebye@users.noreply.github.com>
Date:   Fri Jan 3 22:55:03 2020 +0100

    Merge pull request #85 from seebye/limit-resolution-of-stored-images
    
    loading images: convert L,P mode PNGs to RGBA PNGs

commit 23a22303577ee26a31661e23562672ef802320e4
Author: seebye <seebye@users.noreply.github.com>
Date:   Fri Jan 3 22:50:43 2020 +0100

    loading images: convert L,P mode PNGs to RGBA PNGs
    
    L,P PNGs with transparency will be converted to RGBA PNGs
    to surpress the following warning (pillow):
    Palette images with Transparency expressed in bytes should be
    converted to RGBA images

commit 6f488070a8eda856289f19b70604c0f80ffd5bf0
Merge: 5b22fee ea6d514
Author: seebye <seebye@users.noreply.github.com>
Date:   Fri Dec 27 13:21:47 2019 +0100

    Merge pull request #83 from seebye/limit-resolution-of-stored-images
    
    store big images in a lower resolution

commit ea6d514a9d5f71ff6ca3e034cf98a7d101069735
Author: seebye <seebye@users.noreply.github.com>
Date:   Tue Dec 24 18:05:45 2019 +0100

    store big images in a lower resolution
    
    There are common sizes in which images are
    likely to be displayed in.
    (smaller or equal to the screen size)
    If images reach a specific resolution the
    principle of spatial locality doesn't apply anymore
    to resize operations to common sizes
    (e.g. 6000x6000 to 300x300).
    So to reduce cache misses and therefore avoid
    a worse performance images are stored by default up to a size
    which is about the same as the screen size.
    Images will be fully loaded if it's required by their
    image scaler or if they should be displayed with a size
    which is bigger than the screen size.

commit 5b22fee38fc1dd4e4a2436da52073cbee35313e6
Author: seebye <seebye@users.noreply.github.com>
Date:   Thu Dec 26 13:45:11 2019 +0100

    adjust used displays

commit 52b0b5e5b82a4d18a43a2862099f921aa4efc685
Author: seebye <seebye@users.noreply.github.com>
Date:   Fri Dec 20 19:33:59 2019 +0100

    Fix race condition between creating a window and drawing on it
    
    Reason:
    Xshm is used to draw on windows (via original Xlib / c extension).
    So there are at least two connections to the X11 server.
    -> Race condition between drawing on windows (Xlib)
       and creating them (python-Xlib)

commit 68e9ec23d656f734d99ded4e0a60d0ad1706981b
Merge: a8ac9c3 21ff229
Author: seebye <seebye@users.noreply.github.com>
Date:   Mon Dec 16 00:20:06 2019 +0100

    Merge pull request #79 from seebye/attrs-min-version
    
    specify required min. version of attrs

commit 21ff229de021cc3865d5d1c493db35bf511e4628
Author: seebye <seebye@users.noreply.github.com>
Date:   Mon Dec 16 00:15:06 2019 +0100

    specify required min. version of attrs

commit a8ac9c345c59625a5bc838a4dbc2f14047bf7161
Author: seebye <seebye@users.noreply.github.com>
Date:   Tue Aug 20 22:06:42 2019 +0200

    bugfix: division by zero if only width or only height specified

commit 45d225b4a80ab814ed0d56c472896cdb482ad040
Author: seebye <seebye@users.noreply.github.com>
Date:   Fri Aug 16 17:21:47 2019 +0200

    switch back to pillow due to user complains
    
    switch back to pillow due to user complains
    and their inability of using the search function

commit d1618b30c79b824cd1db11a2cb7a75c0aa9a80f4
Author: seebye <seebye@users.noreply.github.com>
Date:   Fri Aug 16 17:06:11 2019 +0200

    mention urwid library

commit 75c3ca27614df0ec9b95258aa304aa70b16ba584
Author: seebye <seebye@users.noreply.github.com>
Date:   Fri Aug 16 16:22:38 2019 +0200

    remove magic number

commit db97f243788a287abda8b0fde3d13a1f1015b620
Author: seebye <seebye@users.noreply.github.com>
Date:   Fri Aug 16 16:07:18 2019 +0200

    workaround: pillow restores images received from another process wrongly
    
    Sometimes pillow restores pngs as webp
    (or at least it reports png to be webp)
    Using a function on these objects lead to a crash.
    It can be fixed by using less data (info & palette removed)
    to restore an image.

commit e27fa0edae8e86d14bc1427f61eb82d0685cec9a
Author: seebye <seebye@users.noreply.github.com>
Date:   Fri Aug 16 01:47:19 2019 +0200

    add option to disable automatic command transmission

commit d81640dbe935764ab3647dd3e3baffa66ca7e2df
Author: seebye <seebye@users.noreply.github.com>
Date:   Thu Aug 15 00:43:41 2019 +0200

    change default image loader to process

commit 1bf7b8ad6c6e61f8e11258a824fc355a1a71a16c
Author: seebye <seebye@users.noreply.github.com>
Date:   Thu Aug 15 00:40:09 2019 +0200

    fix: readd taking notice of the alpha channel

commit 6100bf0cba51bc367101a87ead860a6c724449e5
Merge: 8bcda66 f421d65
Author: seebye <seebye@users.noreply.github.com>
Date:   Wed Aug 14 22:25:32 2019 +0200

    Merge pull request #72 from seebye/image-loading-strategies
    
    implement image loading strategies

commit f421d659c68c0a9d3d910845d765204e7724d760
Author: seebye <seebye@users.noreply.github.com>
Date:   Wed Aug 14 22:18:51 2019 +0200

    implement image loader option

commit 405508e30e85803883deebded2db3582482ffb0d
Author: seebye <seebye@users.noreply.github.com>
Date:   Wed Aug 14 21:55:29 2019 +0200

    fix: replace german with english

commit 06d656a59f29deb00cfa333815139a519036460a
Author: seebye <seebye@users.noreply.github.com>
Date:   Wed Aug 14 21:10:16 2019 +0200

    lazy import PIL.Image

commit bb5b19954e48ec693ac1d8a7e396104af107f5ad
Author: seebye <seebye@users.noreply.github.com>
Date:   Wed Aug 14 21:09:49 2019 +0200

    implement lazy static constants

commit eff92580a44cfa75368534b09f8563e31a0132af
Author: seebye <seebye@users.noreply.github.com>
Date:   Wed Aug 14 20:36:51 2019 +0200

    implement delayed loading

commit 51b018c2fc38733b015e2df27c0f986780798d08
Author: seebye <seebye@users.noreply.github.com>
Date:   Mon Aug 12 01:18:38 2019 +0200

    implement image loading strategies

commit 8bcda6689d862d0d07db7bc3fd1e5d272286af59
Author: seebye <seebye@users.noreply.github.com>
Date:   Thu Aug 8 22:23:55 2019 +0200

    refactoring: rename functions
    
    main_xevents to process_xevents
    main_commands to process_commands

commit d350e2081978185fe6216536cbb10304ee439f3a
Author: seebye <seebye@users.noreply.github.com>
Date:   Thu Aug 8 21:30:54 2019 +0200

    refactoring: store subcommands in separate files

commit 76d941354c51a19cd97f2a52c6e6efe8e749c1a1
Merge: 5f3790e 4048cc6
Author: seebye <seebye@users.noreply.github.com>
Date:   Sat Aug 3 17:41:22 2019 +0200

    Merge pull request #68 from seebye/fzf-img
    
    Extending fzf img to be useable without modifications

commit 4048cc6d40667ebf6f18ed5f50d48400e676585d
Author: seebye <seebye@users.noreply.github.com>
Date:   Sat Aug 3 17:26:33 2019 +0200

    extend fzfimg to be useable without modifications

commit e36a550dace904af981056f47f45e2bb2793ad9d
Author: seebye <seebye@users.noreply.github.com>
Date:   Sat Aug 3 17:22:52 2019 +0200

    refactoring: unify the code style

commit 1d7230e0fcb5afb5b0db4fcc4a5fc86375313234
Author: seebye <seebye@users.noreply.github.com>
Date:   Thu Aug 1 17:31:40 2019 +0200

    refactoring background job execution

commit 5f3790e1730c8c819726ef42189f024e3bb85a87
Merge: fb9e145 6177516
Author: seebye <seebye@users.noreply.github.com>
Date:   Sat Jul 6 15:26:18 2019 +0200

    Merge pull request #59 from seebye/tmux-detach
    
    handle tmux client detachments

commit 617751663b4554810cec3ce38b3809a289affea6
Author: seebye <seebye@users.noreply.github.com>
Date:   Sat Jul 6 15:20:45 2019 +0200

    remove overlay windows on a tmux client detach

commit fb9e145ee3b6afc8e4d5134fd48551137967d815
Author: seebye <seebye@users.noreply.github.com>
Date:   Sat Jul 6 15:15:55 2019 +0200

    mention the license in the example scripts
    
    Well, it's already stated that every file in this project is licensed
    with the GPLv3,
    but I will make it a little more obvious that the examples are also
    gplv3 licensed.

commit b66fbeb0d1546ed90bcffbc5566be0a3d9bb727f
Author: seebye <seebye@users.noreply.github.com>
Date:   Sat Jul 6 15:07:10 2019 +0200

    add fzf example script

commit 7f2ac3355ce74a253540e3b38eed1613e63f7364
Author: seebye <seebye@users.noreply.github.com>
Date:   Sat Jul 6 14:58:21 2019 +0200

    hide old placement on failing to load a new image

commit 425185cc6be8c6dd965747929b96ace1311325e4
Author: seebye <seebye@users.noreply.github.com>
Date:   Wed Jul 3 14:02:47 2019 +0200

    update install instruction, usage with pillow

commit b339a06fa5836f7919cce1fbdb1ac5eb92276fa9
Merge: 4e7faa6 1c35047
Author: seebye <seebye@users.noreply.github.com>
Date:   Tue Jun 4 01:08:43 2019 +0200

    Merge pull request #52 from seebye/sigwinch
    
    implement signal handler: SIGWINCH

commit 1c350477b24051cc8a424ea414d5238f54f96a00
Author: seebye <seebye@users.noreply.github.com>
Date:   Tue Jun 4 01:01:54 2019 +0200

    implement signal handler: SIGWINCH

commit 4e7faa64aa20852582139e837dfb2c927afbead6
Merge: b407a81 1e04162
Author: seebye <seebye@users.noreply.github.com>
Date:   Sat May 25 00:44:05 2019 +0200

    Merge pull request #51 from seebye/document_dependencies
    
    list dependencies

commit 1e041627fe3fca6248204c69139a9250efe6f972
Author: seebye <seebye@users.noreply.github.com>
Date:   Sat May 25 00:33:58 2019 +0200

    list dependencies

commit b407a818fedc22e983cb51d6086e5287e8ff5364
Author: seebye <seebye@users.noreply.github.com>
Date:   Thu May 23 17:59:23 2019 +0200

    remove unused attribute

commit e6e68d4aeb6f2e677e0692099f56f6b047a432b1
Author: seebye <seebye@users.noreply.github.com>
Date:   Thu May 23 17:53:58 2019 +0200

    improve padding calculation
    
    if possible calculate the horizontal, vertical padding separately

commit cbbbe31d977daebad51d58e4213395fa43467e86
Author: seebye <seebye@users.noreply.github.com>
Date:   Mon Mar 4 17:54:14 2019 +0100

    fix python3.5.6 compatibility

commit 462787b8d88dba388cd6791b661c24e30d8903e0
Author: seebye <seebye@users.noreply.github.com>
Date:   Mon Mar 4 11:52:04 2019 +0100

    Cache hit / - miss takes scaling position into account

commit bbb7f472eef7389cdc8d992aadb76e3575b787dd
Author: seebye <seebye@users.noreply.github.com>
Date:   Mon Mar 4 11:42:58 2019 +0100

    implement equal for Point

commit 484bc2391b246f2cb814ed1f269223b8b38fd62a
Author: seebye <seebye@users.noreply.github.com>
Date:   Mon Mar 4 11:25:27 2019 +0100

    add the documentation of the fit_contain ImageScaler

commit b93bcf7687bf453ed91d0a8c6e80f8eb8a90694c
Author: seebye <seebye@users.noreply.github.com>
Date:   Mon Mar 4 11:22:15 2019 +0100

    implement FitContainImageScaler

commit a7799e6fa99e2beda31e0b6b0741c7d93b75bae6
Author: seebye <seebye@users.noreply.github.com>
Date:   Mon Mar 4 11:18:49 2019 +0100

    fix line length, pep8

commit 0a99da400d57718d4b2414a313fbbecb6f351fff
Author: seebye <seebye@users.noreply.github.com>
Date:   Mon Mar 4 11:14:53 2019 +0100

    discard handling of None values in calculation methods, refactoring

commit 42c2ff042c88fb54f5bb4264dc8f1758aed679f4
Author: seebye <seebye@users.noreply.github.com>
Date:   Sat Mar 2 02:08:04 2019 +0100

    fix Image_init signature

commit d5f387a6be06f5a99258e85e3823d3abe123f8d5
Author: seebye <seebye@users.noreply.github.com>
Date:   Sat Mar 2 01:13:02 2019 +0100

    use PyType_GenericNew to create Xshm.Image

commit b38426865d07a7e178c6d6921804b57ff64c398f
Author: seebye <seebye@users.noreply.github.com>
Date:   Sat Mar 2 01:09:54 2019 +0100

    remove unnecessary semicolon

commit 127e0a0e40e16c7372441c0b34c60c2c81855cce
Author: seebye <seebye@users.noreply.github.com>
Date:   Sat Mar 2 01:09:08 2019 +0100

    Make "s#" use Py_ssize_t rather than int.

commit 04b7fa7f473c62ce7b0315d6c1aea155386829de
Author: seebye <seebye@users.noreply.github.com>
Date:   Thu Feb 28 00:54:58 2019 +0100

    bugfix: prevent crash if the window is bigger than the screen

commit a35df57ee4d8920fdeada754d593b4576afc1351
Author: seebye <seebye@users.noreply.github.com>
Date:   Thu Feb 28 00:34:18 2019 +0100

    bugfix: bash library wasn't packagable

commit 7a1c7f71ccdfa72bc2905c6114c398dd22174398
Author: seebye <seebye@users.noreply.github.com>
Date:   Wed Feb 27 21:11:33 2019 +0100

    update readme

commit b8517801666964d22b58fdae4390864c31e9c07d
Author: seebye <seebye@users.noreply.github.com>
Date:   Wed Feb 27 21:03:46 2019 +0100

    use Semantic Versioning, new release
    
    See: https://semver.org/

commit 7a49f2ec75db95c325841c8eb6e8d643c9c92ab3
Author: seebye <seebye@users.noreply.github.com>
Date:   Wed Feb 27 19:42:04 2019 +0100

    replace pillow with pillow-simd as it's a lot faster

commit 484e325cd9dac940b7329226ca853fdb46eb9254
Author: seebye <seebye@users.noreply.github.com>
Date:   Wed Feb 27 18:30:18 2019 +0100

    lazy load some modules / reduce python library import time

commit e689fdf5288de4da4b51df625bf64bcf4004b676
Author: seebye <seebye@users.noreply.github.com>
Date:   Wed Feb 27 17:28:47 2019 +0100

    use ScalerOption in an example code

commit ddf797af1e39910ad17a3db4094536469d905a79
Author: seebye <seebye@users.noreply.github.com>
Date:   Wed Feb 27 17:25:15 2019 +0100

    update python library documentation: mention ScalerOption

commit 31a414cad5ce3a7b1ea51d5a87f5ed91138b1c9c
Author: seebye <seebye@users.noreply.github.com>
Date:   Wed Feb 27 15:37:09 2019 +0100

    bug fix: cover: wrongly chose formula to calculate the resized image resolution

commit e906f0a4648683f27aa99a5a549020064052edd5
Author: seebye <seebye@users.noreply.github.com>
Date:   Wed Feb 27 14:49:50 2019 +0100

    bug fix: cover: wrongly chose formula to calculate the resized image resolution

commit 3bd39c33e251bb728e41c87ed5d0279d5a6a1a6b
Author: seebye <seebye@users.noreply.github.com>
Date:   Wed Feb 27 14:40:06 2019 +0100

    remove debug code

commit 39161200e6cb337d6851914f98cf8072b225749e
Merge: 3a25f48 32f415f
Author: seebye <seebye@users.noreply.github.com>
Date:   Wed Feb 27 13:33:30 2019 +0000

    Merge pull request #33 from seebye/image_scalers
    
    Image scalers

commit 32f415f0cacfe9f8442ba6853fa363009e080b09
Author: seebye <seebye@users.noreply.github.com>
Date:   Wed Feb 27 14:29:07 2019 +0100

    update documentation: image scalers

commit d036689451bdb5d1d2337aaca541cdb5c0476b88
Author: seebye <seebye@users.noreply.github.com>
Date:   Wed Feb 27 01:29:54 2019 +0100

    remove redundant code

commit 072411ae21edadcb184004d7413e221e9a20d347
Author: seebye <seebye@users.noreply.github.com>
Date:   Tue Feb 26 23:55:33 2019 +0100

    add image scalers to python library

commit c4c87e2a4b9c3ce65bd576fba536a44e3e93289c
Author: seebye <seebye@users.noreply.github.com>
Date:   Tue Feb 26 23:21:47 2019 +0100

    implement ImageScaler

commit 3a25f48d20942075a24ca49b47d67d995d733f75
Author: seebye <seebye@users.noreply.github.com>
Date:   Mon Feb 25 00:27:42 2019 +0100

    replace custom exception with built-in exception

commit 2f40534476e4361cb88189e8b7492e9184a7d60a
Author: seebye <seebye@users.noreply.github.com>
Date:   Mon Feb 25 00:23:18 2019 +0100

    remove unused imported modules

commit 4726d3caa5721749413031e2dfae9fda50d46639
Author: seebye <seebye@users.noreply.github.com>
Date:   Sun Feb 24 21:08:49 2019 +0100

    cache resized images

commit 56be1a83b6fcda6fafc15f94dfe871d0841952bc
Author: seebye <seebye@users.noreply.github.com>
Date:   Sun Feb 24 21:06:52 2019 +0100

    remove unused function add_overlay_text

commit 5309bf70d43f5199b829a4f7b99397bb94582e3b
Author: seebye <seebye@users.noreply.github.com>
Date:   Sun Feb 24 21:01:52 2019 +0100

    remove info message on images "Multi pane windows aren't supported"
    mention the lacking tmux multi pane window support

commit 685e49e1640c79d6e5b36455a9a94e43770013e8
Author: seebye <seebye@users.noreply.github.com>
Date:   Sun Feb 24 18:03:28 2019 +0100

    force coroutine switch after synchronous drawing

commit cfb274083e5948bddada021437dbc890a5fffa55
Author: seebye <seebye@users.noreply.github.com>
Date:   Sat Feb 23 18:24:29 2019 +0100

    replace redudant if else code with min max code, refactoring

commit aeccd6374a363ee7cc65e6e2e95570d98bb18452
Merge: 2a9e583 4013806
Author: seebye <seebye@users.noreply.github.com>
Date:   Sat Feb 23 17:14:32 2019 +0000

    Merge pull request #32 from seebye/Xshm-Image
    
    Speed up drawing images by using shared memory

commit 40138062ccd141d1171d4849f8ba78847078871a
Author: seebye <seebye@users.noreply.github.com>
Date:   Sat Feb 23 14:01:40 2019 +0100

    use shape_rectangles instead of shape_mask, Xshape

commit 40bf7fb17644c08930e462dc4d20afcdf4902633
Author: seebye <seebye@users.noreply.github.com>
Date:   Fri Feb 22 22:02:21 2019 +0100

    refactoring, replace magic number

commit 1b34c9e70a2edb152ca8b93bcf0025992c49f1be
Author: seebye <seebye@users.noreply.github.com>
Date:   Fri Feb 22 21:51:56 2019 +0100

    refactoring, fix indent, empty lines

commit 6b576eaaf2732e9e9a68052bd9d271b6486f0180
Author: seebye <seebye@users.noreply.github.com>
Date:   Fri Feb 22 21:43:06 2019 +0100

    improve code format, add missing space

commit d7259d59ee40728492c2d04d017980c5f48a6d84
Author: seebye <seebye@users.noreply.github.com>
Date:   Fri Feb 22 21:38:51 2019 +0100

    draw images by using shared memory

commit d760421d237b8fd3e89ce3fd03d5c7d8274da897
Author: seebye <seebye@users.noreply.github.com>
Date:   Fri Feb 22 21:34:03 2019 +0100

    import modules instead of functions

commit 2a9e5834f05358da1f4efe11420fdada557aee0b
Author: seebye <seebye@users.noreply.github.com>
Date:   Thu Feb 21 12:48:04 2019 +0100

    escape map items in bash library

commit d8d490abd1b74c8c6f6440295e5d4dd8a3c875d6
Author: seebye <seebye@users.noreply.github.com>
Date:   Wed Jan 30 20:20:42 2019 +0100

    Update README.md
    
    replace read call with sleep as bash does not seem to support reading from stdin if the command is typed in the terminal
    (it works fine if it's used in a script ¯\_(ツ)_/¯)

commit b89ff8558ae24dc1656160e2f654b62a7894ab55
Author: seebye <seebye@users.noreply.github.com>
Date:   Sat Jan 19 13:12:23 2019 +0100

    also search in mapped window list for pids

commit 0b53bdd9d57769b1150f6b8a823f100bc01974b6
Author: seebye <seebye@users.noreply.github.com>
Date:   Wed Jan 16 00:16:42 2019 +0100

    bugfix: (also) find unmapped windows by pid
    
    Use query_tree() in order to find the windows associated to a given pid
    as query_tree() returns all children of the root window unlike the
    _NET_CLIENT_LIST property which just lists the mapped windows.

commit 71424ed33df428a214c958479c9b9ce71ec61396
Author: seebye <seebye@users.noreply.github.com>
Date:   Sun Jan 13 13:19:06 2019 +0100

    bug fix: ensure redrawing on executing an action

commit f5b6f1b4631f3d1033e46601459e9ad61cba65c9
Author: seebye <seebye@users.noreply.github.com>
Date:   Thu Jan 10 23:40:24 2019 +0100

    reuse loaded images in add action

commit f4d101f0f1a961503a919ab408dfd5c35f9bf1fd
Author: seebye <seebye@users.noreply.github.com>
Date:   Thu Jan 10 22:09:19 2019 +0100

    improve phrasing (bash library)

commit 42a776f45239b0b946c9e17f4eb02907ff88791f
Author: seebye <seebye@users.noreply.github.com>
Date:   Thu Jan 10 22:05:04 2019 +0100

    add synchronous_lazy_drawing to the documentation of the python library

commit f6bf5ec08bac9118d031f334ba6cba4bfce3f433
Author: seebye <seebye@users.noreply.github.com>
Date:   Thu Jan 10 20:47:31 2019 +0100

    add gpl reminder to readme

commit d8ef4cfc2ee46febaa29b4511e921fb251c8340a
Author: seebye <seebye@users.noreply.github.com>
Date:   Thu Jan 10 20:38:22 2019 +0100

    implement synchronous drawing
    
    Allow to redraw windows synchronously instead of scheduling a redraw

commit c003b42fb199935300d448209b0d517713a17e4b
Author: seebye <seebye@users.noreply.github.com>
Date:   Wed Jan 9 14:59:29 2019 +0100

    BatchList support late initialisation
    
    Allow to construct a BatchList with a empty list.
    It will be initialised as soon as a element was added.

commit 5dfd2e5c57208dd0d3860a788c628172f2f20d6b
Author: seebye <seebye@users.noreply.github.com>
Date:   Mon Jan 7 22:48:53 2019 +0100

    api: enforce correct process management

commit 2ed2982a10c1a5e1da02ffaf76d83634d61d1348
Author: seebye <seebye@users.noreply.github.com>
Date:   Sat Jan 5 12:15:45 2019 +0100

    bugfix: ensure unlocking

commit 34aea454e8dc20b9051afe88bb1b38881cdf5d0e
Author: seebye <seebye@users.noreply.github.com>
Date:   Wed Jan 2 15:12:05 2019 +0100

    release new version, releasecount 18

commit b4091c81cd7da31a901c2531b19f28f2892aff44
Merge: 3a5b83a 13be42f
Author: seebye <seebye@users.noreply.github.com>
Date:   Wed Jan 2 14:10:33 2019 +0000

    Merge pull request #18 from seebye/tmux_session_unresponsive
    
    extend tmux event receivers (processes) instead of overwriting it

commit 13be42f8c25fa9397c1a08329394052af1c700aa
Author: seebye <seebye@users.noreply.github.com>
Date:   Wed Jan 2 15:03:03 2019 +0100

    extend tmux event receiver (processes) instead of overwriting it
    
    Instead of replacing the receiver pid of SIGUSR1 extend the kill command
    with the new pids.
    (Or remove a few depends on whether ueberzug starts or exits)

commit 3a5b83a2c91c3067a49c2786e79144be9f5c5c07
Author: seebye <seebye@users.noreply.github.com>
Date:   Wed Jan 2 14:48:07 2019 +0100

    always calculate terminal font size & padding by differences if possible
    
    If X11 window size and TIOCGWINSZ differs always use the differences
    to calculate the font size and window padding.

commit f3cbf3f61f276246c8dc4ffc59168848107b306b
Author: seebye <seebye@users.noreply.github.com>
Date:   Wed Jan 2 14:43:10 2019 +0100

    keep unmapped tmux client windows
    
    if the window of a tmux client was unmapped it should still be on our
    BatchList,
    so we need to cache the window id as we won't be able to find window ids
    by pids of unmapped windows
    
    (E.g. fixed scenario: tmux query_window events received while window unmapped
    -> ueberzug window disappears)

commit 90f2a452ba92ee430f351a3d699836e85cb745ce
Author: seebye <seebye@users.noreply.github.com>
Date:   Wed Jan 2 14:42:20 2019 +0100

    fix crash on updating BatchList

commit 495894915edc04a5e04a6123bb1ee69e55f3c203
Author: seebye <seebye@users.noreply.github.com>
Date:   Wed Jan 2 14:37:22 2019 +0100

    rename module aio to files

commit e0cf86e5f3f4614fa5e23a26263271d8811dfdde
Author: seebye <seebye@users.noreply.github.com>
Date:   Tue Jan 1 22:48:36 2019 +0100

    refactoring: fix pep8

commit 6ff676d3f328a1ccb06357f30c252e712e9248a6
Author: seebye <seebye@users.noreply.github.com>
Date:   Sat Dec 29 15:57:15 2018 +0100

    remove redundant code
    
    Exceptions are already catched on updating an image,
    so these exceptions shouldn't be thrown here.
    E.g. a corrupt image should lead to an exception on adding it -> not
    added

commit 52ddd63dd0d5335f4fafb1f65ed5853bed28debd
Author: seebye <seebye@users.noreply.github.com>
Date:   Fri Dec 28 17:38:37 2018 +0100

    fix crash if image corrupt

commit 3f1a2dc3e40ccad3fbda75ac08ce521aca90d7c1
Author: seebye <seebye@users.noreply.github.com>
Date:   Fri Dec 28 17:10:11 2018 +0100

    refactoring improve structure transfering execution results

commit f2ef3d05291d1292a4b16d48a018b97267b33f8e
Author: seebye <seebye@users.noreply.github.com>
Date:   Thu Dec 27 14:12:43 2018 +0100

    update version

commit 72b1a9784cee22759d392df3ac5f8e3a2af40342
Author: seebye <seebye@users.noreply.github.com>
Date:   Thu Dec 27 14:09:35 2018 +0100

    update terminal determination of font sizes & padding
    
    termios.TIOCGWINSZ:
    Some terminals return the size of the text area instead of the whole
    window.
    In this case we can easily get the right font size & padding.

commit a49507cf6bfce2748d6ee0ab7f49c67248b1cc53
Author: seebye <seebye@users.noreply.github.com>
Date:   Wed Dec 26 21:20:18 2018 +0100

    force to include shell scripts in packages

commit c1598903e67c47a7402e7405fefd0ecd8317d2b6
Merge: 8dbcf9d 6e0497d
Author: seebye <seebye@users.noreply.github.com>
Date:   Wed Dec 26 18:55:19 2018 +0000

    Merge pull request #16 from seebye/lazy_drawing
    
    lazily redraw windows by using asyncio

commit 6e0497dd9f66304948383f67efe4585166599775
Author: seebye <seebye@users.noreply.github.com>
Date:   Wed Dec 26 19:50:40 2018 +0100

    check batchlist isn't empty before calling it

commit 8f4d685c62a1bb118f6e64148dcdec73197db653
Author: seebye <seebye@users.noreply.github.com>
Date:   Wed Dec 26 19:43:34 2018 +0100

    lazily redraw windows by using asyncio
    
    - drop unused mask extraction
    - load images on first draw
    - LineReader: read lines instantly if the file has data
      (used for reading stdin)

commit 8dbcf9d4fe59bba0b3837ec51d5dc6253a4a6535
Author: seebye <seebye@users.noreply.github.com>
Date:   Tue Dec 25 01:46:38 2018 +0100

    make lib folder importable

commit 89d237f8f40c088e5d4b09c25855b46275de39fd
Merge: e617f69 c67905c
Author: seebye <seebye@users.noreply.github.com>
Date:   Tue Dec 25 00:33:13 2018 +0000

    Merge pull request #15 from seebye/api
    
    merge api v0

commit c67905c80edab1a9f99f282559e8545f23e19a26
Merge: d52864a e617f69
Author: seebye <seebye@users.noreply.github.com>
Date:   Tue Dec 25 00:32:39 2018 +0000

    Merge branch 'master' into api

commit d52864ad5b65f85a58e36f3600de943ad5a26867
Author: seebye <seebye@users.noreply.github.com>
Date:   Tue Dec 25 01:29:17 2018 +0100

    fix spelling mistake

commit 4bab9f7cea82fc9c6b99ab270c32f8cc44bede1d
Author: seebye <seebye@users.noreply.github.com>
Date:   Tue Dec 25 01:20:49 2018 +0100

    usage documentation of the python library added

commit ea36b2b8e4978ad9e4fd997da3ccf1b62d75f45d
Author: seebye <seebye@users.noreply.github.com>
Date:   Mon Dec 24 22:00:07 2018 +0100

    restart ueberzug process if not responsive on transmitting data

commit 61472838d6f27a07b8d9ae4b92ab4ca4ca0c1edd
Author: seebye <seebye@users.noreply.github.com>
Date:   Mon Dec 24 21:59:35 2018 +0100

    api v0: documentation of Canvas added

commit eeab494f3af9c43f7ca2beaac0089bfb54dc8b36
Author: seebye <seebye@users.noreply.github.com>
Date:   Mon Dec 24 21:58:47 2018 +0100

    api v0: documentation of Placement updated

commit d33932d55b3067f96df83a73afc4d23f44dd659f
Author: seebye <seebye@users.noreply.github.com>
Date:   Mon Dec 24 00:54:09 2018 +0100

    api v0: documentation of Placement updated

commit 54669e9332ba4367cbf36f8c78f9b2bd79e54b4b
Author: seebye <seebye@users.noreply.github.com>
Date:   Mon Dec 24 00:31:24 2018 +0100

    api v0: documentation of Placement added

commit d7c5b1c39760b0121aa999039a29db2d72e503df
Author: seebye <seebye@users.noreply.github.com>
Date:   Sun Dec 23 23:25:51 2018 +0100

    api v0: documentation of UeberzugProcess added

commit be8e6aa60d6ea5998f1fe704e47d2821a03ec1ce
Author: seebye <seebye@users.noreply.github.com>
Date:   Sun Dec 23 19:39:32 2018 +0100

    Canvas drop autorestart parameter

commit ac70ba723bec30b2309315e0f99e6d05ab9da13a
Author: seebye <seebye@users.noreply.github.com>
Date:   Sun Dec 23 19:35:37 2018 +0100

    api v0: documentation of LazyCommandTransmitter added

commit 81b046edfd2511df414d11ebd81d82c02875e8c3
Author: seebye <seebye@users.noreply.github.com>
Date:   Sun Dec 23 19:34:03 2018 +0100

    api v0: documentation of DequeCommandTransmitter added

commit 1d08d7c4e2b2e5c8ac6f97577c919f6764748e66
Author: seebye <seebye@users.noreply.github.com>
Date:   Sun Dec 23 19:01:34 2018 +0100

    Reimplement LazyDequeCommandTransmitter as decorator class / software
    pattern

commit f09f406c931ff18e9daeb32f7cb0b4984f3c0425
Author: seebye <seebye@users.noreply.github.com>
Date:   Sun Dec 23 18:55:57 2018 +0100

    Refactoring: DequeCommandTransmitter#enqueue rename parameter

commit 758c4516329adb625f43285c8f9c19da9c95c6e2
Author: seebye <seebye@users.noreply.github.com>
Date:   Sun Dec 23 17:57:35 2018 +0100

    api v0: documentation of CommandTransmitter added

commit 692d73254a6c4ee5a8d554eccdd76598900e1044
Author: seebye <seebye@users.noreply.github.com>
Date:   Sun Dec 23 17:28:57 2018 +0100

    api v0: documentation of Visibility enum added

commit e617f691c62b14989412a964fa3f5ee507c127a1
Author: seebye <seebye@users.noreply.github.com>
Date:   Fri Dec 21 23:35:58 2018 +0100

    Move parser names to class

commit 3734fe81d1429d7ad8ba50ac4ffd23ff51a62e03
Author: seebye <seebye@users.noreply.github.com>
Date:   Fri Dec 21 23:28:31 2018 +0100

    replace ParseError with ValueError

commit bfc992d941d63afdb1da87dfe493ff5b1e89676f
Author: seebye <seebye@users.noreply.github.com>
Date:   Sat Dec 15 16:05:25 2018 +0100

    refactoring: Command enum: remove redundancy
    
    avoid referencing actions multiple times

commit c51dcb67127ce52ae17405f48aaf85a8abbbb57f
Author: seebye <seebye@users.noreply.github.com>
Date:   Sat Dec 15 15:00:14 2018 +0100

    fix pep8

commit 666e69d0d8154dfa86826140a6cdfe0e6a37681e
Author: seebye <seebye@users.noreply.github.com>
Date:   Sat Dec 15 14:42:58 2018 +0100

    implement python library

commit 068eb703066e2300df02af46b5227e20da9df0c9
Author: seebye <seebye@users.noreply.github.com>
Date:   Sat Dec 15 14:40:58 2018 +0100

    refactoring: move action name to actions, more detailed inheritance

commit a7122c0f853388ca01eb3e9a03927c6c682444fd
Author: seebye <seebye@users.noreply.github.com>
Date:   Sat Dec 15 14:28:28 2018 +0100

    move bash library from ueberzug/libs to ueberzug/lib

commit 799318637682faf3d24384cf474785d99d4f6ad5
Author: seebye <seebye@users.noreply.github.com>
Date:   Sat Dec 15 14:22:11 2018 +0100

    fix: asyncio 2x execution of awaitable function

commit a1dbb8fec954c03e63507346142378bd71430f43
Author: seebye <seebye@users.noreply.github.com>
Date:   Tue Nov 27 22:32:18 2018 +0100

    reimplement actions as attr dataclasses

commit 8edd272cd95bb55c20a615d8b16b5a42f01d3d1f
Author: seebye <seebye@users.noreply.github.com>
Date:   Fri Nov 16 14:03:06 2018 +0100

    implement DaemonThreadPoolExecutor

commit df70dae0551f51de2a39536b9a4bcbfba4ee13d0
Author: seebye <seebye@users.noreply.github.com>
Date:   Fri Nov 16 14:01:55 2018 +0100

    code formating

commit d0dc8b2a7a9929855e7e27a510da5d580b47472a
Author: seebye <seebye@users.noreply.github.com>
Date:   Thu Nov 8 00:19:03 2018 +0100

    update examples

commit a757d0d17dec1d989fd06d45ebab84246aab8a6c
Author: seebye <seebye@users.noreply.github.com>
Date:   Thu Nov 8 00:13:15 2018 +0100

    version updated

commit 279ebbe9fc2114881f7371583814733bc2f81219
Author: seebye <seebye@users.noreply.github.com>
Date:   Mon Oct 29 22:21:02 2018 +0100

    improve font size guessing
    
    recalculate font size after guessing padding

commit 6f31d9aac8b158fbec0bc13cdfac0636055c2665
Author: seebye <seebye@users.noreply.github.com>
Date:   Mon Oct 29 01:49:58 2018 +0100

    print pillows unsupported image format errors

commit f4b0b7d56f978a37bc66837ba710abecc52c8f43
Author: seebye <seebye@users.noreply.github.com>
Date:   Tue Oct 16 00:56:05 2018 +0200

    display warning: multi pane windows aren't supported

commit 79e0f83de7449a58ff0131303d9af579089d3450
Author: seebye <seebye@users.noreply.github.com>
Date:   Tue Oct 16 00:04:45 2018 +0200

    update examples

commit 10e30720bb11e180a9ba8f004a5274cd66cb3217
Author: seebye <seebye@users.noreply.github.com>
Date:   Fri Sep 14 17:08:37 2018 +0200

    update pip version

commit a3d779efb4623355a00235bc6c0c423fccd441f4
Author: seebye <seebye@users.noreply.github.com>
Date:   Fri Sep 14 16:37:17 2018 +0200

    respect initial pane offset on placing images

commit a93597982bb9233ee6a6766fb86fa7080872845b
Author: seebye <seebye@users.noreply.github.com>
Date:   Fri Sep 14 16:36:32 2018 +0200

    increase image quality by using anti alias

commit bc03faeb7e0e1603f3fe9699e5f189ff6756c76e
Author: seebye <seebye@users.noreply.github.com>
Date:   Wed Sep 5 02:46:40 2018 +0200

    spelling mistake

commit 5483d5a668c36127d753a02bebb25b5ee5829e63
Author: seebye <seebye@users.noreply.github.com>
Date:   Wed Sep 5 02:33:45 2018 +0200

    support stdout redirection without using tmux
    
    If stdout is redirected, the stdout of the first parent process is used, where stdout is a pseudo tty.

commit e7148d5f7f854cdd00d62e7f6deca066e7e209e4
Author: seebye <seebye@users.noreply.github.com>
Date:   Wed Sep 5 02:13:38 2018 +0200

    drop support for WINDOWID environment variable

commit 7f28f2e6d319611530ab57703f03cc4df9093db1
Author: seebye <seebye@users.noreply.github.com>
Date:   Thu Aug 30 20:37:13 2018 +0200

    passthrough arguments, bash library

commit bf03c94a93cd411d1a72afdf2f30ac071af4a7c1
Author: seebye <seebye@users.noreply.github.com>
Date:   Thu Aug 30 20:36:59 2018 +0200

    new pip version

commit 714932a385b63de067a784e69490ab05754713f4
Author: seebye <seebye@users.noreply.github.com>
Date:   Mon Aug 27 23:05:19 2018 +0200

    new pip version

commit ba9b18c3ec8377987f472fe77982d49a025635f1
Author: seebye <seebye@users.noreply.github.com>
Date:   Mon Aug 27 23:00:50 2018 +0200

    crash fix: treat missing _NET_WM_PID property

commit 9fc8a9125e2f2100fe02721748ace2d2cdf91ef3
Author: seebye <seebye@users.noreply.github.com>
Date:   Mon Aug 27 22:41:49 2018 +0200

    remove hardcoded python version

commit 830a1d6d0162df1185a04ec11bf3afd04ccd51cd
Author: seebye <seebye@users.noreply.github.com>
Date:   Mon Aug 27 17:40:42 2018 +0200

    fallback to X11 to determine the window dimensions of the terminal
    emulator

commit 0f87a68d89201ce845e85a0771eb0acf5233a1eb
Author: seebye <seebye@users.noreply.github.com>
Date:   Mon Aug 27 17:39:30 2018 +0200

    spelling mistake

commit 87f3578040c08b2bfb123ae579a4cdf0739317f5
Author: seebye <seebye@users.noreply.github.com>
Date:   Mon Aug 27 17:38:26 2018 +0200

    refactoring pep8

commit a55a947d54c8c4d9356a0926a131e9bca145a6e8
Author: seebye <seebye@users.noreply.github.com>
Date:   Mon Aug 27 17:37:26 2018 +0200

    fix python3.7 remove async keyword from aiter

commit 32db4c85bf521e6af80c085e6939749659750700
Author: seebye <seebye@users.noreply.github.com>
Date:   Mon Aug 27 17:35:12 2018 +0200

    silent option, suppress stderr output

commit 814aa88eff337d1e3bb703c45a52d5ae7811bf0a
Author: seebye <seebye@users.noreply.github.com>
Date:   Sun Aug 26 00:34:47 2018 +0200

    documentation updated

commit 077793537c6492346165bb9a4bb5bdea678f3e5e
Author: seebye <seebye@users.noreply.github.com>
Date:   Sat Aug 25 22:16:21 2018 +0200

    README: examples updated

commit 49e2292c4c5ed7acb69d6c263e95b89042bce2ad
Author: seebye <seebye@users.noreply.github.com>
Date:   Sat Aug 25 18:56:59 2018 +0200

    create README

commit 99297df75bd91782e298dd3a7240918f498757ec
Author: seebye <seebye@users.noreply.github.com>
Date:   Sat Aug 25 18:55:29 2018 +0200

    bug fix: handling draw argument type bool and string

commit ec77895976b6e18323f1403ee36c4a7b18bbf6a0
Author: seebye <seebye@users.noreply.github.com>
Date:   Sat Aug 25 18:54:31 2018 +0200

    spelling mistake

commit 837482f340b55c8e790f4008f654478b29431c26
Author: seebye <seebye@users.noreply.github.com>
Date:   Sat Aug 25 16:13:43 2018 +0200

    add bash example script: mastodon viewer

commit 95a51a24fa258f3bb9c011122c4e39d7a9a4b6cf
Author: seebye <seebye@users.noreply.github.com>
Date:   Sat Aug 25 15:44:43 2018 +0200

    shutdown if command handler coroutine died

commit 14f3c43346059ff36b8e67ff7a6063435b13e690
Author: seebye <seebye@users.noreply.github.com>
Date:   Sat Aug 25 15:44:34 2018 +0200

    routine image renamed to layer

commit 6700d283531eca94c1a2c21c3382ad499407fd11
Author: seebye <seebye@users.noreply.github.com>
Date:   Sat Aug 25 15:33:01 2018 +0200

    routine image renamed to layer

commit 656fa03fa0d4409448af32df2c655f995e9f02ec
Author: seebye <seebye@users.noreply.github.com>
Date:   Sat Aug 25 02:34:27 2018 +0200

    query_windows is triggered by SIGUSR1 and not executeable over stdin
    anymore

commit c42945ba66676872c31eef8149d95d1379cb1ac9
Author: seebye <seebye@users.noreply.github.com>
Date:   Sat Aug 25 02:31:33 2018 +0200

    refactoring

commit c4078515965457387d58b1eacf200bac154bd454
Author: seebye <seebye@users.noreply.github.com>
Date:   Sat Aug 25 02:24:52 2018 +0200

    refactoring

commit a88e5e7ac850b68080aea47dc1b6a521f172cfb7
Author: seebye <seebye@users.noreply.github.com>
Date:   Sat Aug 25 02:18:32 2018 +0200

    drop unused code

commit a5d321c42398edc4737000687cd251adadfe6457
Author: seebye <seebye@users.noreply.github.com>
Date:   Sat Aug 25 02:03:41 2018 +0200

    handle tmux window changes, session changes, new attached clients
    
    by registering tmux hooks for the pane of ueberzug, hooked events:
    - client-session-changed
    - session-window-changed
    - pane-mode-changed

commit 7001a72eacc3033765edd9f4c00a31ba8d4c0a08
Author: seebye <seebye@users.noreply.github.com>
Date:   Fri Aug 24 20:36:01 2018 +0200

    workaround: prevent Xlib deathlocks

commit b8988aa46af26b649a1ddf9c7b7494f527cacd4a
Author: seebye <seebye@users.noreply.github.com>
Date:   Fri Aug 24 20:34:45 2018 +0200

    fix: draw by python-Xlib unsupported images

commit cb42a9e4fc32a5589213a0a894afb06d1433d7d0
Author: seebye <seebye@users.noreply.github.com>
Date:   Wed Aug 22 03:51:26 2018 +0200

    project renamed to Überzug

commit 416557afc577bdba38650469536eff3d7a1aecc6
Author: seebye <seebye@users.noreply.github.com>
Date:   Wed Aug 22 03:42:25 2018 +0200

    dependency added

commit aae4e557192868a8f63e3175f213fe632a39404a
Author: seebye <seebye@users.noreply.github.com>
Date:   Wed Aug 22 03:29:15 2018 +0200

    using chars as size unit instead of pixels
    
    In order to do so:
    - padding will be guessed
    - font/char width, - height will be calculated by
      floor(chars / width) and floor(chars / height)
    
    Also changed during writing the changes:
    - BatchList calls __enter__ on adding new elements and
      __exit__ on removing existing elements
      (if it was already called)
    - action add, remove: option to skip redrawing added

commit 79b0ef19b6ff18e94b6465925fa48629b5a0ab47
Author: seebye <seebye@users.noreply.github.com>
Date:   Wed Aug 22 03:26:18 2018 +0200

    refactoring: renamed action focus_changed to query_windows

commit 25cab5156d2bc45e1908d6a3f53db3266e27e235
Author: seebye <seebye@users.noreply.github.com>
Date:   Wed Aug 22 03:21:14 2018 +0200

    refactoring: renamed action focus_changed to query_windows

commit 1deedeb6b598557bfabaada691a927067099ed3e
Author: seebye <seebye@users.noreply.github.com>
Date:   Wed Aug 22 03:15:29 2018 +0200

    gitignore extended by a test script

commit 28282b9b49fe0f703d7d3bee17dcdcc27c566d8b
Author: seebye <seebye@users.noreply.github.com>
Date:   Thu Aug 16 02:52:14 2018 +0200

    ignore the opacity mask
    
    Hiding parts of images using the Xshape is to cpu intensive
    (if the opacity mask is to complex).
    E.g. moving a window becomes laggy

commit 717643d8ed6f32d2cc736a97d88c7a84db044aca
Author: seebye <seebye@users.noreply.github.com>
Date:   Thu Aug 16 02:43:24 2018 +0200

    windows: use 24 depth instead of 32 depth
    
    - Xlib does not support Xrender so we can't draw images with an alpha
    channel
    - Xshape is used to hide the unused part of the window, Xshape does not require
    the window to have an alpha channel

commit ded79655aa126c8a875d21aa7eedd73c42b14044
Author: seebye <seebye@users.noreply.github.com>
Date:   Thu Aug 16 02:36:57 2018 +0200

    duplicated file removed

commit d2e7746315f24e7a1f043a254a5b5e123979634c
Author: seebye <seebye@users.noreply.github.com>
Date:   Thu Aug 16 02:33:10 2018 +0200

    initial commit

commit a696a20a6770a31fb40465f538db7b91a629a95c
Author: seebye <seebye@users.noreply.github.com>
Date:   Sat May 26 19:58:58 2018 +0200

    Create LICENSE
